Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.commands
Interface IWorkbenchCommandSupport

public interface IWorkbenchCommandSupport

An instance of this interface provides support for managing commands at the `IWorkbench` level.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0

Method Summary
`void` | `addHandlerSubmission(HandlerSubmission handlerSubmission)` Adds a single handler submissions for consideration by the workbench.
`void` | `addHandlerSubmissions(Collection handlerSubmissions)` Adds a collection of handler submissions for consideration by the workbench.
`ICommandManager` | `getCommandManager()` Returns the command manager for the workbench.
`void` | `removeHandlerSubmission(HandlerSubmission handlerSubmission)` Removes a single handler submission from consideration by the workbench.
`void` | `removeHandlerSubmissions(Collection handlerSubmissions)` Removes a single handler submission from consideration by the workbench.

Method Detail

### addHandlerSubmission

    public void addHandlerSubmission(HandlerSubmission handlerSubmission)

  Adds a single handler submissions for consideration by the workbench. The submission indicates to the workbench a set of conditions under which the handler should become active. The workbench, however, ultimately decides which handler becomes active (in the event of conflicts or changes in state). This could cause the handlers for one or more commands to change.

  Parameters:
    `handlerSubmission` - The submission to be added; must not be `null`.

### addHandlerSubmissions

    public void addHandlerSubmissions(Collection handlerSubmissions)

  Adds a collection of handler submissions for consideration by the workbench. The submission indicates to the workbench a set of conditions under which the handler should become active. The workbench, however, ultimately decides which handler becomes active (in the event of conflicts or changes in state). This could cause the handlers for one or more commands to change.

  Parameters:
    `handlerSubmissions` - The submissions to be added; must not be `null`, and must contain zero or more instances of `HandlerSubmission`.

### getCommandManager

    public ICommandManager getCommandManager()

  Returns the command manager for the workbench.

  Returns:
    the command manager for the workbench. Guaranteed not to be `null`.

### removeHandlerSubmission

    public void removeHandlerSubmission(HandlerSubmission handlerSubmission)

  Removes a single handler submission from consideration by the workbench. The handler submission must be the same as the one added (not just equivalent). This could cause the handlers for one or more commands to change.

  Parameters:
    `handlerSubmission` - The submission to be removed; must not be `null`.

### removeHandlerSubmissions

    public void removeHandlerSubmissions(Collection handlerSubmissions)

  Removes a single handler submission from consideration by the workbench. The handler submission must be the same as the one added (not just equivalent). This could cause the handlers for one or more commands to change.

  Parameters:
    `handlerSubmissions` - The submissions to be removed; must not be `null`, and must contain instances of `HandlerSubmission` only.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.